import { __exports as e } from "./index-_virtual28.js";
import f from "react";
import { __require as s } from "./index-LexicalLinkPlugin.js";
import { __require as m } from "./index-LexicalAutoLinkPlugin.js";
import { __require as p } from "./index-AutoLinkMatchers.js";
var i;
function q() {
  if (i) return e;
  i = 1;
  var u = e && e.__importDefault || function(t) {
    return t && t.__esModule ? t : { default: t };
  };
  Object.defineProperty(e, "__esModule", { value: !0 }), e.HyperlinkPlugin = void 0;
  const r = u(f), n = s(), l = m(), a = p();
  function o(t) {
    const { validateUrl: _, shouldAutoLink: c = !0 } = t;
    return r.default.createElement(
      r.default.Fragment,
      null,
      r.default.createElement(n.LinkPlugin, { validateUrl: _ }),
      c ? r.default.createElement(l.AutoLinkPlugin, { matchers: a.AUTOLINK_MATCHERS }) : r.default.createElement(r.default.Fragment, null)
    );
  }
  return e.HyperlinkPlugin = o, e;
}
export {
  q as __require
};
